# IAX2IeApparentAddr Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeApparentAddr:

[legend]
Collaboration diagram for IAX2IeApparentAddr:
[legend]

## Public Member Functions

| IAX2IeApparentAddr (BYTE length, BYTE *srcData)
| ~IAX2IeApparentAddr ()
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the apparent daddress of peer

## Constructor & Destructor Documentation

IAX2IeApparentAddr::IAX2IeApparentAddr | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeApparentAddr::~IAX2IeApparentAddr | ( |  | ) | `[inline]`

Desttructor, which does nothing

## Member Function Documentation

virtual BYTE IAX2IeApparentAddr::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeApparentAddr::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeSockaddrIn.

virtual void IAX2IeApparentAddr::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h